## Configuration options for httpd ##

# We set these here because environment variables have
# precedence over the config.layout variables and
# GAR's default environment (CONFIGURE_ENV) would
# supersede various values like sysconfdir and
# libexecdir.
#
# It's a shame that apache's configure does not
# have a --logfiledir option (anymore?) so we're
# forced to use the environment vars AND the
# config.layout file.

sysconfdir  = /etc/apache2
libexecdir  = /usr/libexec/apache2
datarootdir = /usr/share/apache2
datadir     = /usr/lib/apache2
logfiledir  = /var/log/apache2
docdir      = $(prefix)/share/doc/$(DISTNAME)

DEFAULT_MPM = prefork

CONFIGURE_OPTS ?= --enable-layout=Iztaci    \
                  --enable-ssl              \
                  --with-z                  \
                  --enable-cgi              \
                  --enable-mods-shared="all cgi"                    \
                  --enable-authnz-fcgi                              \
                  --enable-mpms-shared=all

PATCHDIR      = $(WORKSRC)
PATCHDIRLEVEL = 2

BUILD_OPTS ?=
INSTALL_DIRS ?= 
